Pre-Development - Feature #19554

FE - React - Lazy load on tab
28 January 2024 01:17 PM - chok yee fan

Status: Feedback Start date: 23 January 2024
Priority: Normal Due date:

Assignee: Amirul Umar Pandai % Done: 0%

Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

issue

mountOnEnter is wait until the first "enter" transition to mount tabs (add them to the DOM).
is NOT lazy load javascript.

expected

SHOULD lazy load javascript.

try use React.lazy to implement
https://blog.bitsrc.io/lazy-loading-react-components-with-react-lazy-and-suspense-f05c4cfde10c

otherwise using this way
https://stackoverflow.com/questions/55293506/react-tabs-lazy-load

Note: Apply to all modules AFTER discussion

History

#1 - 24 January 2024 01:56 PM - Amirul Umar Pandai
- Status changed from New to Resolved

- Assignee changed from Amirul Umar Pandai to chok yee fan

Feature #19554 - lazy load on tabs

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/92a17a0a4d37c07bcb2dcObcdfe46f0ea752511a

#2 - 29 January 2024 11:29 AM - chok yee fan
- File Screenshot 2024-01-29 at 11.27.55 AM.png added
- Status changed from Resolved to Feedback

- Assignee changed from chok yee fan to Amirul Umar Pandai

group all the dom without lazy load
expected

should group only lazy load dom

if have special reason for that, highlight in the daily meeting
https://blog.bitsrc.io/lazy-loading-react-components-with-react-lazy-and-suspense-f05c4cfde10c
https://stackoverflow.com/questions/55293506/react-tabs-lazy-load
https://dev.silverlakemobility.com/redmine/issues/19554
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/92a17a0a4d37c07bcb2dc0bcdfe46f0ea752511a
